XGETTEXT(1)

NUME
xgettext - extrage șiruri gettext din sursă

REZUMAT
xgettext [OPȚIUNE] [FIȘIER_INTRARE]...

DESCRIERE

Extrage șirurile traductibile din fișierele de intrare specificate.

Argumentele obligatorii pentru opțiunile lungi sunt obligatorii și pentru opțiunile scurte. Similar pentru argumentele opționale.

  Locație fișier de intrare:

FIȘIER_INTRARE ...
    fișiere de intrare

-f, --files-from=FIȘIER
    obține lista de fișiere de intrare din FIȘIER

-D, --directory=DIRECTOR
    adaugă DIRECTOR la listă pentru căutarea fișierelor de intrare

Dacă fișierul de intrare este „-”, se va citi intrarea standard.

  Locație fișier de ieșire:

-d, --default-domain=NUME
    folosește NUME.po pentru ieșire (în loc de messages.po)

-o, --output=FIȘIER
    scrie ieșirea în fișierul specificat

-p, --output-dir=DIR
    fișierele de ieșire vor fi plasate în directorul DIR

Dacă fișierul de ieșire este „-”, rezultatul este scris la ieșirea standard.

  Alegerea limbajului fișierului de intrare:

-L, --language=NUME
    recunoaște limbajul specificat (C, C++, ObjectiveC, PO, Shell, Python, Lisp, EmacsLisp, librep, Scheme, Smalltalk, Java, JavaProperties, C#, awk, YCP, Tcl, Perl, PHP, Ruby, GCC-source, NXStringTable, RST, RSJ, Glade, Lua, JavaScript, Vala, Desktop)

-C, --c++
    prescurtare pentru „--language=C++”

În mod implicit, limbajul este ghicit în funcție de extensia numelui fișierului de intrare.

  Interpretare fișier de intrare:

--from-code=NUME
    codificarea fișierelor de intrare (cu excepția: Python, Tcl, Glade)

În mod implicit, fișierele de intrare sunt presupuse a fi în ASCII.

  Mod de operare:

-j, --join-existing
    alătură mesaje, fișierului existent

-x, --exclude-file=FIȘIER.po
    intrările din FIȘIER.po nu vor fi extrase

-cETICHETA, --add-comments=ETICHETA
    plasează blocuri de comentarii care încep cu ETICHETA și care preced liniile de cuvinte cheie în fișierul de ieșire

-c, --add-comments
    plasează toate blocurile de comentarii precedând liniile de cuvinte cheie în fișierul de ieșire

--check=NUME
    efectuează verificarea sintaxei mesajelor (ellipsis-unicode, space-ellipsis,

    quote-unicode, bullet-unicode)

--sentence-end=TIP
    tip care descrie sfârșitul propoziției (un singur spațiu, care este implicit,

    sau spațiu dublu)

  Opțiuni specifice limbajului:

-a, --extract-all
    extrage toate șirurile (numai limbajele C, C++, ObjectiveC, Shell, Python, Lisp, EmacsLisp, librep, Scheme, Java, C#, awk, Tcl, Perl, PHP, GCC-sursă, Glade, Lua, Lua, JavaScript, Vala)

-kCUVÂNT, --keyword=CUVÂNT
    caută CUVÂNT precum cuvânt cheie suplimentar

-k, --keyword
    nu utilizează cuvintele cheie implicite (numai limbajele C, C++, ObjectiveC, Shell, Python, Lisp, EmacsLisp, librep, Scheme, Java, C#, awk, Tcl, Perl, PHP, GCC-source, Glade, Lua, Lua, JavaScript, Vala, Desktop).

--flag=CUVÂNT\fP:ARG:MARCAJ
    MARCAJ adițional pentru șirurile din interiorul argumentului cu numărul ARG, al cuvântului cheie CUVÂNT

(doar limbajele C, C++, ObjectiveC, Shell,
    Python, Lisp, EmacsLisp, librep, Scheme, Java, C#, awk, YCP, Tcl, Perl, PHP, GCC-sursă, Lua, JavaScript, Vala)

-T, --trigraphs
    înțelege trigramele (secvențe de 2 sau 3 caractere, care sunt văzute/interpretate ca unul singur) ANSI C pentru intrare (numai limbajele C, C++, ObjectiveC)

--its=FIȘIER
    aplică regulile ITS din FIȘIER (numai în cazul limbajelor bazate pe XML)

--qt
    recunoaște șirurile în format Qt (numai limbajul C++)

--kde
    recunoaște șirurile în format KDE 4 (numai limbajul C++)

--boost
    recunoaște șirurile în format Boost (numai limbajul C++)

--debug
    rezultat mai detaliat al recunoașterii șirurilor de format

  Detalii ieșire:

--color
    utilizează întotdeauna culori și alte atribute ale textului

--color=CÂND
    utilizează culori și alte atribute ale textului dacă VALOARE. VALOARE poate fi: „always” (întotdeauna), „never” (niciodată), „auto” sau „html”.

--style=FIȘIER_DE_STIL
    specifică fișierul cu reguli de stil CSS pentru opțiunea --color

-e, --no-escape
    nu utilizează eludări C în ieșire (implicit)

-E, --escape
    folosește eludări C în ieșire, fără caractere extinse

--force-po
    scrie fișierul PO chiar dacă este gol

-i, --indent
    scrie fișierul .po folosind stil indentat

--no-location
    nu scrie liniile „#: nume_fișier:linie”

-n, --add-location
    generează liniile „#: nume_fișier:linie” (implicit)

--strict
    scrie fișiere .po, strict conform Uniforum

--properties-output
    scrie un fișier .properties Java

--stringtable-output
    scrie un fișier .strings NeXTstep/GNUstep

--itstool
    scrie comentarii itstool

-w, --width=NUMĂR
    stabilește lățimea paginii de ieșire

--no-wrap
    nu împarte liniile lungi de mesaj, mai lungi decât lățimea paginii de ieșire, în mai multe linii

-s, --sort-output
    generează ieșire ordonată alfanumeric

-F, --sort-by-file
    ordonează ieșirea după locația fișierului

--omit-header
    nu include în antet intrarea «msgid ""»

--copyright-holder=AUTOR
    stabilește deținătorul drepturilor de autor al ieșirii

--foreign-user
    omite drepturile de autor FSF la ieșire pentru utilizatorul străin

--package-name=PACHET
    stabilește numele pachetului la ieșire

--package-version=VERSIUNE
     stabilește versiunea pachetului la ieșire

--msgid-bugs-address=EMAIL@ADRESĂ
    stabilește adresa de raportare a erorilor din msgid

-m[ȘIR], --msgstr-prefix[=ȘIR]
    utilizează ȘIR sau "" ca prefix pentru valorile msgstr

-M[ȘIR], --msgstr-suffix[=ȘIR]
    utilizează ȘIR sau "" ca sufix pentru valorile msgstr

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

-v, --verbose
    crește nivelul de detaliere al mesajelor informative

AUTOR
Scris de Ulrich Drepper.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 1995-2020 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru xgettext este menținută ca un manual Texinfo. Dacă programele info și xgettext sunt instalate corect pe sistemul dumneavoastră, comanda

    info xgettext

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.